> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tunnels

> Lists active tunnels for a sandbox Served by the live controller (answers 401 unauthenticated) but absent from its published /openapi.json — verified…

Lists active tunnels for a sandbox

Served by the live controller (answers 401 unauthenticated) but absent from its published `/openapi.json` — verified 2026-08-31.

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Unique sandbox identifier
</ParamField>

### Response

`TunnelListResponse`

<ResponseField name="tunnels" type="Tunnel[]">
  <Expandable title="Tunnel">
    <ResponseField name="tunnel_id" type="string" />

    <ResponseField name="sandbox_id" type="string" />

    <ResponseField name="port" type="integer" />

    <ResponseField name="protocol" type="string" />

    <ResponseField name="url" type="string" />

    <ResponseField name="expires_at" type="string (date-time)" />

    <ResponseField name="token" type="string" />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning     |
| ----- | ----------- |
| `200` | Tunnel list |
| `401` | —           |
| `404` | —           |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/tunnels' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "tunnels": [
      {
        "tunnel_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "port": 1,
        "protocol": "string",
        "url": "https://example.com/webhooks/stateset",
        "expires_at": "2026-08-31T14:22:05Z",
        "token": "YOUR_API_KEY"
      }
    ]
  }
  ```
</ResponseExample>
